<p>
 Izvrsno! Vaše rješenje je točno. U nastavku je još jednom prikazan
 način na koji je zadatak trebalo riješiti.
</p>

<pre><code>library ieee;
use ieee.std_logic_1164.all;

entity sklop2 is port (
  a,b,c,d: in std_logic;
  f,g,h: out std_logic);
end sklop2;

architecture dataflow of sklop2 is
begin
  f &lt;= a xor b;
  g &lt;= (a and b) or (c and d);
  h &lt;= c nand d;
end dataflow;</code></pre>

<p>Primijetite karakteristike napisanog rješenja - radi se o dobrim praksama bez kojih bi rješenje također bilo ispravno ali ovako imamo kvalitetniji opis.</p>
<ul>
<li>Budući da su relativno kratke, svaku od naredbi za dodjeljivanje vrijednosti izlazima napisali smo u jednom retku.</li>
<li>Naredbe smo poredali redoslijedom kojim su izlazi specificirani u sučelju.</li>
<li>Sve naredbe uvukli smo dva mjesta udesno, kako bi se vizualno jasno istaknulo što spada u tijelo arhitekture.</li>
<li>Definiciju arhitekture jednim smo praznim retkom odvojili od definicije sučelja.</li>
</ul>

